<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>API views &mdash; Heiwa  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Categories" href="heiwa.views.category.html" />
    <link rel="prev" title="Validators" href="heiwa.validators.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> Heiwa
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="performance.html">Performance</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="heiwa.html">API Documentation</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="heiwa.html#subpackages">Subpackages</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="heiwa.authentication.html">Authentication</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.constants.html">Statuses</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.database.html">Database</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.json_ld.html">JSON-LD</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.enums.html">Enums</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.error_handlers.html">Error handlers</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.exceptions.html">Exceptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.limiter.html">Rate limiter</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.tasks.html">Tasks</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.types.html">Abstract types</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.validators.html">Validators</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">API views</a><ul>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.category.html">Categories</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.file.html">Files</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.forum.html">Forums</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.group.html">Groups</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.guest.html">Guests</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.message.html">Messages</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.meta.html">Meta information</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.notification.html">Notifications</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.oidc.html">OIDC</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.post.html">Posts</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.statistic.html">Statistics</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.thread.html">Threads</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.user.html">Users</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.utils.html">Utilities</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.html#module-heiwa">Root</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Heiwa</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="heiwa.html">API Documentation</a> &raquo;</li>
      <li>API views</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/heiwa.views.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-heiwa.views">
<span id="api-views"></span><h1>API views<a class="headerlink" href="#module-heiwa.views" title="Permalink to this headline"></a></h1>
<p>Blueprints and utilities for different parts of the API.</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.category.html">Categories</a></li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.file.html">Files</a></li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.forum.html">Forums</a><ul>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.forum.html#module-heiwa.views.forum.parsed_permissions">Parsed permissions</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.forum.html#module-heiwa.views.forum.permissions_group">Group permissions</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.forum.html#module-heiwa.views.forum.permissions_user">User permissions</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.forum.html#module-heiwa.views.forum.subscription">Subscriptions</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.forum.html#module-heiwa.views.forum.utils">Utilities</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.group.html">Groups</a><ul>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.group.html#module-heiwa.views.group.permissions">Permissions</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.group.html#module-heiwa.views.group.utils">Utilities</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.guest.html">Guests</a></li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.message.html">Messages</a><ul>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.message.html#module-heiwa.views.message.directory">Directories</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.message.html#module-heiwa.views.message.utils">Utilities</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.meta.html">Meta information</a></li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.notification.html">Notifications</a></li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.oidc.html">OIDC</a></li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.post.html">Posts</a><ul>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.post.html#module-heiwa.views.post.vote">Votes</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.post.html#module-heiwa.views.post.utils">Utilities</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.statistic.html">Statistics</a></li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.thread.html">Threads</a><ul>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.thread.html#module-heiwa.views.thread.subscription">Subscriptions</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.thread.html#module-heiwa.views.thread.view_record">View records</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.thread.html#module-heiwa.views.thread.vote">Votes</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.user.html">Users</a><ul>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.user.html#module-heiwa.views.user.avatar">Avatars</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.user.html#module-heiwa.views.user.ban">Bans</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.user.html#module-heiwa.views.user.block">Blocks</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.user.html#module-heiwa.views.user.follow">Follows</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.user.html#module-heiwa.views.user.groups">Groups</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.user.html#module-heiwa.views.user.permissions">Permissions</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.user.html#module-heiwa.views.user.preferences">Preferences</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.user.html#module-heiwa.views.user.reputation">Reputation</a></li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.views.user.html#module-heiwa.views.user.utils">Utilities</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="heiwa.views.utils.html">Utilities</a></li>
</ul>
</div>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="heiwa.validators.html" class="btn btn-neutral float-left" title="Validators" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="heiwa.views.category.html" class="btn btn-neutral float-right" title="Categories" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p></p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>